Author Topic: SQL server won't start always gives error  (Read 379 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
SQL server won't start always gives error
« on: July 17, 2019, 10:25:30 AM »
Getting this in cwp

Code: [Select]
mariadb.service - MariaDB 10.1.40 database server
   Loaded: loaded (/usr/lib/systemd/system/mariadb.service; enabled; vendor preset: disabled)
  Drop-In: /etc/systemd/system/mariadb.service.d
           └─migrated-from-my.cnf-settings.conf
   Active: failed (Result: exit-code) since Wed 2019-07-17 10:09:36 UTC; 8min ago
     Docs: man:mysqld(8)
           https://mariadb.com/kb/en/library/systemd/
  Process: 17030 ExecStartPost=/bin/sh -c systemctl unset-environment _WSREP_START_POSITION (code=exited, status=0/SUCCESS)
  Process: 5771 ExecStart=/usr/sbin/mysqld $MYSQLD_OPTS $_WSREP_NEW_CLUSTER $_WSREP_START_POSITION (code=exited, status=1/FAILURE)
  Process: 5759 ExecStartPre=/bin/sh -c [ ! -e /usr/bin/galera_recovery ] && VAR= ||   VAR=`/usr/bin/galera_recovery`; [ $? -eq 0 ]   && systemctl set-environment _WSREP_START_POSITION=$VAR || exit 1 (code=exited, status=0/SUCCESS)
  Process: 5756 ExecStartPre=/bin/sh -c systemctl unset-environment _WSREP_START_POSITION (code=exited, status=0/SUCCESS)
 Main PID: 5771 (code=exited, status=1/FAILURE)
   Status: "MariaDB server is down"

Jul 17 10:09:36 server.domain.com mysqld[5771]: 2019-07-17 10:09:36 140289538054400 [ERROR] InnoDB: Could not open or create the system tablespace. If you tried to add new data files to the system tablespace, and it failed here, you should now edit innodb_data_file_path in my.cnf back to what it was, and remove the new ibdata files InnoDB created in this failed attempt. InnoDB only wrote those files full of zeros, but did not yet use them in any way. But be careful: do not remove old data files which contain your precious data!
Jul 17 10:09:36 server.domain.com mysqld[5771]: 2019-07-17 10:09:36 140289538054400 [ERROR] Plugin 'InnoDB' init function returned error.
Jul 17 10:09:36 server.domain.com mysqld[5771]: 2019-07-17 10:09:36 140289538054400 [ERROR] Plugin 'InnoDB' registration as a STORAGE ENGINE failed.
Jul 17 10:09:36 server.domain.com mysqld[5771]: 2019-07-17 10:09:36 140289538054400 [Note] Plugin 'FEEDBACK' is disabled.
Jul 17 10:09:36 server.domain.com mysqld[5771]: 2019-07-17 10:09:36 140289538054400 [ERROR] Unknown/unsupported storage engine: InnoDB
Jul 17 10:09:36 server.domain.com mysqld[5771]: 2019-07-17 10:09:36 140289538054400 [ERROR] Aborting
Jul 17 10:09:36 server.domain.com systemd[1]: mariadb.service: main process exited, code=exited, status=1/FAILURE
Jul 17 10:09:36 server.domain.com systemd[1]: Failed to start MariaDB 10.1.40 database server.
Jul 17 10:09:36 server.domain.com systemd[1]: Unit mariadb.service entered failed state.
Jul 17 10:09:36 server.domain.com systemd[1]: mariadb.service failed.